- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_drive_firmware – NetApp E-Series manage drive firmware

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Ensure drive firmware version is activated on specified drive model.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the SANtricity Web Services Proxy or Embedded Web Services API. Example https://prod-1.wahoo.acme.com/devmgr/v2
api_username string / required |  | The username to authenticate with the SANtricity Web Services Proxy or Embedded Web Services API.
firmware list / required |  | list of drive firmware file paths. NetApp E-Series drives require special firmware which can be downloaded from https://mysupport.netapp.com/NOW/download/tools/diskfw_eseries/
ignore_inaccessible_drives boolean | Choices: no ← yes | This flag will determine whether drive firmware upgrade should fail if any affected drives are inaccessible.
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.
upgrade_drives_online boolean | Choices: no yes ← | This flag will determine whether drive firmware can be upgrade while drives are accepting I/O. When upgrade_drives_online==False stop all I/O before running task.
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?
wait_for_completion boolean | Choices: no ← yes | This flag will cause module to wait for any upgrade actions to complete.

## Notes

Note

- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.
- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.
- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    - name: Ensure correct firmware versions
      nac_santricity_drive_firmware:
        ssid: "1"
        api_url: "https://192.168.1.100:8443/devmgr/v2"
        api_username: "admin"
        api_password: "adminpass"
        validate_certs: true
        firmware: "path/to/drive_firmware"
        wait_for_completion: true
        ignore_inaccessible_drives: false

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | Whether any drive firmware was upgraded and whether it is in progress. Sample: {'changed': True, 'upgrade_in_process': True}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Nathan Swartz (@ndswartz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.